CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.36. CUpti_ActivityMemset Struct Reference

## [CUPTI Activity API]

This activity record represents a memory set operation (CUPTI_ACTIVITY_KIND_MEMSET).

### Public Variables

uint64_t bytes
uint32_t contextId
uint32_t correlationId
uint32_t deviceId
uint64_t end
uint16_t flags
CUpti_ActivityKind kind
uint16_t memoryKind
void * reserved0
uint64_t start
uint32_t streamId
uint32_t value

### Variables

uint64_t CUpti_ActivityMemset::bytes [inherited]

  The number of bytes being set by the memory set.

uint32_t CUpti_ActivityMemset::contextId [inherited]

  The ID of the context where the memory set is occurring.

uint32_t CUpti_ActivityMemset::correlationId [inherited]

  The correlation ID of the memory set. Each memory set is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the memory set.

uint32_t CUpti_ActivityMemset::deviceId [inherited]

  The ID of the device where the memory set is occurring.

uint64_t CUpti_ActivityMemset::end [inherited]

  The end timestamp for the memory set, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory set.

uint16_t CUpti_ActivityMemset::flags [inherited]

  The flags associated with the memset.

  See also:

  CUpti_ActivityFlag

CUpti_ActivityKind CUpti_ActivityMemset::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMSET.

uint16_t CUpti_ActivityMemset::memoryKind [inherited]

  The memory kind of the memory set

  See also:

  CUpti_ActivityMemoryKind

void * CUpti_ActivityMemset::reserved0 [inherited]

  Undefined. Reserved for internal use.

uint64_t CUpti_ActivityMemset::start [inherited]

  The start timestamp for the memory set, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the memory set.

uint32_t CUpti_ActivityMemset::streamId [inherited]

  The ID of the stream where the memory set is occurring.

uint32_t CUpti_ActivityMemset::value [inherited]

  The value being assigned to memory by the memory set.